import { Messages } from '@zeedhi/core';
import { AppController } from './AppController';
import { LoginController } from './LoginController';
import { DemandManagementController } from './DM/DemandManagementController';
import { DMTabIssueEditController } from './DM/DMTabIssueEditController';
import { DMTabSolicitationEditController } from './DM/DMTabSolicitationEditController';
import { DMGridTaskSoliController } from './DM/DMGridTaskSoliController';
import { DMBudgetIssueController } from './DM/Budget/DMBudgetIssue';
import { DMBudgetSoliController } from './DM/Budget/DMBudgetSoli';
import { DemandManagementClosedController } from './DM/DemandManagementClosedController';
import { WorkItemController } from './WorkItemController';
import { AclLabelsController } from './AclLabels/AclLabelsController';
import { AclLabelsGridController } from './AclLabels/AclLabelsGridController';
import { AclLabelsDetailController } from './AclLabels/AclLabelsDetailController';
import { AclLabelsAddLabelModalController } from './AclLabels/AclLabelsAddLabelModalController';
import { AclLabelsEditLabelModalController } from './AclLabels/AclLabelsEditLabelModalController';
import { AclLabelsImportMenuModalController } from './AclLabels/AclLabelsImportMenuModalController';
import { AclLabelsDuplicateLabelsModalController } from './AclLabels/AclLabelsDuplicateLabelsModalController';
import { AclLabelsLogGridController } from './AclLabels/AclLabelsLogGridController';
import { AclLabelsLogDetailController } from './AclLabels/AclLabelsLogDetailController';

Messages.add({
	'en-US': {
		translation: {
			SELECT_ALL: 'select all',
		},
	},
	'pt-BR': {
		translation: {
			SELECT_ALL: 'selecionar todos',
		},
	},
	'es-ES': {
		translation: {
			SELECT_ALL: 'seleccionar todo',
		},
	},
});
export default {
	AppController,
	LoginController,
	DemandManagementController,
	DMTabIssueEditController,
	DMGridTaskSoliController,
	DMTabSolicitationEditController,
	DMBudgetIssueController,
	DMBudgetSoliController,
	DemandManagementClosedController,
	WorkItemController,
	AclLabelsController,
	AclLabelsGridController,
	AclLabelsDetailController,
	AclLabelsAddLabelModalController,
	AclLabelsEditLabelModalController,
	AclLabelsImportMenuModalController,
	AclLabelsDuplicateLabelsModalController,
	AclLabelsLogGridController,
	AclLabelsLogDetailController,
};
